OGRE-Next: Ogre::PageStrategy Class Reference

| OGRE-Next 3.0.0 Object-Oriented Graphics Rendering Engine

Loading...
Searching...
No Matches
Public Member Functions | List of all members
Ogre::PageStrategy Class Referenceabstract
Components

Defines the interface to a strategy class which is responsible for deciding when Page instances are requested for addition and removal from the paging system. More...

`#include <OgrePageStrategy.h>`

Inheritance diagram for Ogre::PageStrategy:
[legend]

## Public Member Functions
| PageStrategy (const String &name, PageManager *manager)
virtual | ~PageStrategy ()
virtual PageStrategyData * | createData ()=0
| Create a PageStrategyData instance containing the data specific to this PageStrategy.
virtual void | destroyData (PageStrategyData *d)=0
| Destroy a PageStrategyData instance containing the data specific to this PageStrategy.
virtual void | frameEnd (Real timeElapsed, PagedWorldSection *section)
| Called when the frame ends.
virtual void | frameStart (Real timeSinceLastFrame, PagedWorldSection *section)
| Called when the frame starts.
PageManager * | getManager () const
const String & | getName () const
virtual PageID | getPageID (const Vector3 &worldPos, PagedWorldSection *section)=0
| Get the page ID for a given world position.
virtual void | notifyCamera (Camera *cam, PagedWorldSection *section)
| Called when a camera is used for any kind of rendering.
virtual void | updateDebugDisplay (Page *p, SceneNode *sn)=0
| Update the contents of the passed in SceneNode to reflect the debug display of a given page.

## Detailed Description

Defines the interface to a strategy class which is responsible for deciding when Page instances are requested for addition and removal from the paging system.

Remarks
  The interface is deliberately light, with no specific mention of requesting new Page instances. It is entirely up to the PageStrategy to respond to the events raised on it and to call methods on other classes (such as requesting new pages).

The documentation for this class was generated from the following file:

- OgrePageStrategy.h